Skip to main content
`Ctrl`+`K`

# ISGetPointSubrange

Configures the input `IS` to be a subrange for the traversal information given

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISGetPointSubrange(IS subpointIS, PetscInt pStart, PetscInt pEnd, const PetscInt points[])

Not Collective

## Input Parameters

- subpointIS - The `IS` object to be configured

- pStart - The first index of the subrange

- pEnd - One past the last index for the subrange

- points - The indices for the entire range, from `ISGetPointRange()`

## Output Parameters

- subpointIS - The `IS` object now configured to be a subrange

## Note

The input `IS` will now respond properly to calls to `ISGetPointRange()` and return the subrange.

## See Also

Low-level Vector Communication, `IS`, `ISGetPointRange()`, `ISRestorePointRange()`, `ISGetIndices()`, `ISCreateStride()`

## Level

intermediate

## Location

src/vec/is/utils/isltog.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages